// Persistence of Vision Raytracer
// Unfolding Dymaxion sphere

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

// Camera
camera {
  location <-3.324675,9.136688,18.519480> 
  sky <-2.6235,0,4.2564>
  look_at <0,0,0>
  }

// Light source
light_source { <-3.324675,9.136688,18.519480> color White }

#declare Facet = object {
  sphere { <-1087.3552047761052108,0,-417.53905413413150427>, 1168.7895460684055706 }
  clipped_by { 
    plane { <0,0,-1>, 0 } 
    object { 
      plane { <0,0,-1>, 0 } 
      rotate x*-108
      rotate z*-31.75
      }
    object { 
      plane { <0,0,-1>, 0 } 
      rotate x*108
      rotate z*31.75
      }
    }
  }

#declare Facet04a = object {
  Facet
  clipped_by {
    object {
      plane { <0,0,1>, 0 }
      rotate x*-30
      rotate z*31.75
      }
    }
  }
#declare Facet04b = object {
  Facet
  clipped_by {
    object {
      plane { <0,0,-1>, 0 }
      rotate x*-30
      rotate z*31.75
      }
    }
  }
#declare Bound = intersection {
    plane { <0,1,0>, 0 }
    object {
      plane { <0,0,-1>, 0 }
      rotate x*30
      rotate z*-31.75
      }
    }
#declare Facet13a = object {
  Facet
  clipped_by {
    object { Bound }
    }
  }
#declare Facet13b = object {
  Facet
  clipped_by {
    object { Bound inverse }
    }
  }
#declare Globe = union {
  object {
    Facet // Facet 01
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*146.478447
    rotate x*135.415467
    rotate z*9.987400
    rotate x*-135.415467
    rotate z*-146.478447
    translate <2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 02
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*331.017626
    rotate x*126.864797
    rotate z*9.987400
    rotate x*-126.864797
    rotate z*-331.017626
    translate <-2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 03
    rotate x*90
    rotate y*90
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    translate <-4.663444,3.079502,-0.508563>
    rotate z*237.102426
    rotate x*123.534832
    rotate z*9.987400
    rotate x*-123.534832
    rotate z*-237.102426
    translate <4.663444,-3.079502,0.508563>
    translate <-0.984744,5.459139,2.395167>
    rotate z*45.588152
    rotate x*115.551057
    rotate z*-9.987400
    rotate x*-115.551057
    rotate z*-45.588152
    translate <0.984744,-5.459139,-2.395167>
    }
  object {
    Facet04a // Facet 04a
    rotate x*90
    rotate y*90
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    translate <-4.663444,3.079502,-0.508563>
    rotate z*237.102426
    rotate x*123.534832
    rotate z*9.987400
    rotate x*-123.534832
    rotate z*-237.102426
    translate <4.663444,-3.079502,0.508563>
    translate <-0.984744,5.459139,2.395167>
    rotate z*45.588152
    rotate x*115.551057
    rotate z*-9.987400
    rotate x*-115.551057
    rotate z*-45.588152
    translate <0.984744,-5.459139,-2.395167>
    translate <-4.370632,2.142061,4.661200>
    rotate z*264.724348
    rotate x*110.946140
    rotate z*9.987400
    rotate x*-110.946140
    rotate z*-264.724348
    translate <4.370632,-2.142061,-4.661200>
    }
  object {
    Facet04b // Facet 04b
    rotate x*90
    rotate y*90
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*260.428011
    rotate x*115.873195
    rotate z*-9.987400
    rotate x*-115.873195
    rotate z*-260.428011
    translate <0.000000,4.469246,3.393126>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*334.458943
    rotate x*154.276416
    rotate z*-9.987400
    rotate x*-154.276416
    rotate z*-334.458943
    translate <0.000000,4.469246,3.393126>
    translate <-3.900072,-5.060047,0.080711>
    rotate z*286.747772
    rotate x*103.947106
    rotate z*-9.987400
    rotate x*-103.947106
    rotate z*-286.747772
    translate <3.900072,5.060047,-0.080711>
    translate <0.984744,-6.530003,1.347581>
    rotate z*119.171331
    rotate x*135.077784
    rotate z*9.987400
    rotate x*-135.077784
    rotate z*-119.171331
    translate <-0.984744,6.530003,-1.347581>
    }
  object {
    Facet // Facet 05
    rotate x*90
    rotate y*-90
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    }
  object {
    Facet // Facet 06
    rotate x*90
    rotate y*-90
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 07
    rotate z*31.75
    rotate x*180
    rotate z*31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*146.478447
    rotate x*135.415467
    rotate z*9.987400
    rotate x*-135.415467
    rotate z*-146.478447
    translate <2.623500,0.000000,4.256400>
    translate <-4.663444,3.079502,-0.508563>
    rotate z*10.790236
    rotate x*90.183979
    rotate z*-9.987400
    rotate x*-90.183979
    rotate z*-10.790236
    translate <4.663444,-3.079502,0.508563>
    }
  object {
    Facet // Facet 08
    rotate z*31.75
    rotate x*180
    rotate z*31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*331.017626
    rotate x*126.864797
    rotate z*9.987400
    rotate x*-126.864797
    rotate z*-331.017626
    translate <-2.623500,0.000000,4.256400>
    translate <5.648596,1.405041,-0.186309>
    rotate z*10.958438
    rotate x*80.007068
    rotate z*9.987400
    rotate x*-80.007068
    rotate z*-10.958438
    translate <-5.648596,-1.405041,0.186309>
    }
  object {
    Facet // Facet 09
    rotate z*31.75
    rotate x*396
    rotate z*31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*329.586566
    rotate x*99.457438
    rotate z*-9.987400
    rotate x*-99.457438
    rotate z*-329.586566
    translate <2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 10
    rotate z*31.75
    rotate x*396
    rotate z*31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*331.017626
    rotate x*126.864797
    rotate z*9.987400
    rotate x*-126.864797
    rotate z*-331.017626
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*245.086947
    rotate x*140.665141
    rotate z*9.987400
    rotate x*-140.665141
    rotate z*-245.086947
    translate <-2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 11
    rotate z*31.75
    rotate x*252
    rotate z*31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*260.428011
    rotate x*115.873195
    rotate z*-9.987400
    rotate x*-115.873195
    rotate z*-260.428011
    translate <0.000000,4.469246,3.393126>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*334.458943
    rotate x*154.276416
    rotate z*-9.987400
    rotate x*-154.276416
    rotate z*-334.458943
    translate <0.000000,4.469246,3.393126>
    translate <-3.900072,-5.060047,0.080711>
    rotate z*286.747772
    rotate x*103.947106
    rotate z*-9.987400
    rotate x*-103.947106
    rotate z*-286.747772
    translate <3.900072,5.060047,-0.080711>
    }
  object {
    Facet // Facet 12
    rotate z*31.75
    rotate x*252
    rotate z*31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    translate <-4.663444,3.079502,-0.508563>
    rotate z*237.102426
    rotate x*123.534832
    rotate z*9.987400
    rotate x*-123.534832
    rotate z*-237.102426
    translate <4.663444,-3.079502,0.508563>
    translate <-0.984744,5.459139,2.395167>
    rotate z*45.588152
    rotate x*115.551057
    rotate z*-9.987400
    rotate x*-115.551057
    rotate z*-45.588152
    translate <0.984744,-5.459139,-2.395167>
    translate <-0.984744,5.459139,2.395167>
    rotate z*332.477926
    rotate x*142.031061
    rotate z*-9.987400
    rotate x*-142.031061
    rotate z*-332.477926
    translate <0.984744,-5.459139,-2.395167>
    }
  object {
    Facet13a // Facet 13a
    rotate z*31.75
    rotate x*324
    rotate z*31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*329.586566
    rotate x*99.457438
    rotate z*-9.987400
    rotate x*-99.457438
    rotate z*-329.586566
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*99.571989
    rotate x*115.873195
    rotate z*9.987400
    rotate x*-115.873195
    rotate z*-99.571989
    translate <0.000000,4.469246,3.393126>
    }
  object {
    Facet13b // Facet 13b
    rotate z*31.75
    rotate x*324
    rotate z*31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*260.428011
    rotate x*115.873195
    rotate z*-9.987400
    rotate x*-115.873195
    rotate z*-260.428011
    translate <0.000000,4.469246,3.393126>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*334.458943
    rotate x*154.276416
    rotate z*-9.987400
    rotate x*-154.276416
    rotate z*-334.458943
    translate <0.000000,4.469246,3.393126>
    }
  object {
    Facet // Facet 14
    rotate z*31.75
    rotate x*324
    rotate z*31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*140.798236
    rotate x*162.777967
    rotate z*-9.987400
    rotate x*-162.777967
    rotate z*-140.798236
    translate <0.000000,-4.251800,2.631100>
    }
  object {
    Facet // Facet 15
    rotate z*-31.75
    rotate x*108
    rotate z*-31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    translate <-4.663444,3.079502,-0.508563>
    rotate z*237.102426
    rotate x*123.534832
    rotate z*9.987400
    rotate x*-123.534832
    rotate z*-237.102426
    translate <4.663444,-3.079502,0.508563>
    }
  object {
    Facet // Facet 16
    rotate z*-31.75
    rotate x*108
    rotate z*-31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*260.428011
    rotate x*115.873195
    rotate z*-9.987400
    rotate x*-115.873195
    rotate z*-260.428011
    translate <0.000000,4.469246,3.393126>
    translate <4.663444,-3.682829,-1.099441>
    rotate z*52.261490
    rotate x*117.746066
    rotate z*9.987400
    rotate x*-117.746066
    rotate z*-52.261490
    translate <-4.663444,3.682829,1.099441>
    }
  object {
    Facet // Facet 17
    rotate z*-31.75
    rotate x*396
    rotate z*-31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    translate <-0.000000,4.251800,-2.631100>
    rotate z*75.889351
    rotate x*113.817164
    rotate z*-9.987400
    rotate x*-113.817164
    rotate z*-75.889351
    translate <0.000000,-4.251800,2.631100>
    }
  object {
    Facet // Facet 18
    rotate z*-31.75
    rotate x*396
    rotate z*-31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    translate <-0.000000,-4.469246,-3.393126>
    rotate z*260.428011
    rotate x*115.873195
    rotate z*-9.987400
    rotate x*-115.873195
    rotate z*-260.428011
    translate <0.000000,4.469246,3.393126>
    }
  object {
    Facet // Facet 19
    rotate z*-31.75
    rotate x*324
    rotate z*-31.75
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <-2.623500,-0.000000,-4.256400>
    rotate z*211.675946
    rotate x*108.020574
    rotate z*9.987400
    rotate x*-108.020574
    rotate z*-211.675946
    translate <2.623500,0.000000,4.256400>
    }
  object {
    Facet // Facet 20
    rotate z*-31.75
    rotate x*324
    rotate z*-31.75
    rotate z*180
    pigment {image_map { jpeg "earthmap10k.reduced.jpg" map_type 1 interpolate 2 }
             rotate x*81 rotate z*27 rotate y*-5 }
    finish {ambient 0.5}
    translate <2.623500,-0.000000,-4.256400>
    rotate z*90.000000
    rotate x*90.000000
    rotate z*9.987400
    rotate x*-90.000000
    rotate z*-90.000000
    translate <-2.623500,0.000000,4.256400>
    translate <2.623500,-0.000000,-4.256400>
    rotate z*30.413434
    rotate x*99.457438
    rotate z*9.987400
    rotate x*-99.457438
    rotate z*-30.413434
    translate <-2.623500,0.000000,4.256400>
    }
  }

object {
  Globe
  rotate z*180
  }
